package org.dromara.system.service;

import org.dromara.system.domain.SysIndustry;
import org.dromara.system.domain.vo.SysIndustryVo;
import org.dromara.system.domain.bo.SysIndustryBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 行业字典信息Service接口
 *
 * @author LionLi
 * @date 2024-04-18
 */
public interface ISysIndustryService {



    /***
     * @Param
     * @Return
     * @Author sunzexing
     * @Date 2024-04-19 13:39
     * 说明：查询所有行业
     **/

    List<Map>  selectIndustryList();

    /**
     * 查询行业字典信息
     */
    SysIndustryVo queryById(Long id);

    /**
     * 查询行业字典信息列表
     */
    TableDataInfo<SysIndustryVo> queryPageList(SysIndustryBo bo, PageQuery pageQuery);

    /**
     * 查询行业字典信息列表
     */
    List<SysIndustryVo> queryList(SysIndustryBo bo);

    /**
     * 新增行业字典信息
     */
    Boolean insertByBo(SysIndustryBo bo);

    /**
     * 修改行业字典信息
     */
    Boolean updateByBo(SysIndustryBo bo);

    /**
     * 校验并批量删除行业字典信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
